| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Types
AAX_Component< aContextType > Class Template Reference

`#include <AAX_Callbacks.h>`

## Description

template<typename aContextType>
class AAX_Component< aContextType >

Empty class containing type declarations for the AAX algorithm and associated callbacks.

## Public Types
typedef void(AAX_CALLBACK * | CProcessProc) (aContextType *const inContextPtrsBegin[], const void *inContextPtrsEnd)
typedef void *(AAX_CALLBACK * | CPacketAllocator) (const aContextType *inContextPtr, AAX_CFieldIndex inOutputPort, AAX_CTimestamp inTimestamp)
typedef int32_t(AAX_CALLBACK * | CInstanceInitProc) (const aContextType *inInstanceContextPtr, AAX_EComponentInstanceInitAction iAction)
typedef int32_t(AAX_CALLBACK * | CBackgroundProc) (void)
typedef void(AAX_CALLBACK * | CInitPrivateDataProc) (AAX_CFieldIndex inFieldIndex, void *inNewBlock, int32_t inSize, IACFUnknown *const inController)

## Member Typedef Documentation

## ◆ CProcessProc

template<typename aContextType >

typedef void(AAX_CALLBACK * AAX_Component< aContextType >::CProcessProc) (aContextType *const inContextPtrsBegin[], const void *inContextPtrsEnd)

## ◆ CPacketAllocator

template<typename aContextType >

typedef void *(AAX_CALLBACK * AAX_Component< aContextType >::CPacketAllocator) (const aContextType *inContextPtr, AAX_CFieldIndex inOutputPort, AAX_CTimestamp inTimestamp)

## ◆ CInstanceInitProc

template<typename aContextType >

typedef int32_t(AAX_CALLBACK * AAX_Component< aContextType >::CInstanceInitProc) (const aContextType *inInstanceContextPtr, AAX_EComponentInstanceInitAction iAction)

## ◆ CBackgroundProc

template<typename aContextType >

typedef int32_t(AAX_CALLBACK * AAX_Component< aContextType >::CBackgroundProc) (void)

## ◆ CInitPrivateDataProc

template<typename aContextType >

typedef void(AAX_CALLBACK * AAX_Component< aContextType >::CInitPrivateDataProc) (AAX_CFieldIndex inFieldIndex, void *inNewBlock, int32_t inSize, IACFUnknown *const inController)

The documentation for this class was generated from the following file:

- AAX_Callbacks.h